Loading...
Searching...
No Matches
bigunsignedint.hh File Reference

Portable very large unsigned integers. More...

`#include <algorithm>`
`#include <bit>`
`#include <iostream>`
`#include <limits>`
`#include <cstdint>`
`#include <cstdlib>`
`#include <type_traits>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/hash.hh>`

Go to the source code of this file.

## Classes

class | Dune::bigunsignedint< k >
| Portable very large unsigned integers. More...
struct | Dune::IsNumber< bigunsignedint< k > >
| Declare big unsigned int is a number. More...
struct | std::numeric_limits< Dune::bigunsignedint< k > >

## Namespaces

namespace | Dune
| Dune namespace
namespace | std
| STL namespace.

## Macros

#define | DUNE_BINOP(OP)

## Functions

template<int k>
std::ostream & | Dune::operator<< (std::ostream &s, const bigunsignedint< k > &x)
template<int k>
bigunsignedint< k > | Dune::operator+ (const bigunsignedint< k > &x, std::uintmax_t y)
template<int k>
bigunsignedint< k > | Dune::operator- (const bigunsignedint< k > &x, std::uintmax_t y)
template<int k>
bigunsignedint< k > | Dune::operator* (const bigunsignedint< k > &x, std::uintmax_t y)
template<int k>
bigunsignedint< k > | Dune::operator/ (const bigunsignedint< k > &x, std::uintmax_t y)
template<int k>
bigunsignedint< k > | Dune::operator% (const bigunsignedint< k > &x, std::uintmax_t y)
template<int k>
bigunsignedint< k > | Dune::operator+ (std::uintmax_t x, const bigunsignedint< k > &y)
template<int k>
bigunsignedint< k > | Dune::operator- (std::uintmax_t x, const bigunsignedint< k > &y)
template<int k>
bigunsignedint< k > | Dune::operator* (std::uintmax_t x, const bigunsignedint< k > &y)
template<int k>
bigunsignedint< k > | Dune::operator/ (std::uintmax_t x, const bigunsignedint< k > &y)
template<int k>
bigunsignedint< k > | Dune::operator% (std::uintmax_t x, const bigunsignedint< k > &y)

## Detailed Description

Portable very large unsigned integers.

Author
  Peter Bastian